var locations=[];
var textoRecibido;
var HayPregunta;
var ayuda;

function valida(){
    t=document.getElementById("texto_a_enviar").value;
	document.getElementById('texto_a_enviar').style.color='#000000';
    if (t.length==0) {
    alert ("Selecciona un estado o territorio");
    return false;
    }
      else
    {  
      return true;
    }
}

  window.addEventListener("load", function(evt) {

    // se agrega el manejador de mensajes
    window.addEventListener("message", funcionQueManejaLosMensajes);

    function funcionQueManejaLosMensajes(evt) {

      var data = evt.data;
      // se maneja un mensaje del tipo set
	  if (data.type === "set") {
        // data.name es el nombre de la variable
        // data.value es el valor de la variable
        document.getElementById("textoRecibido").textContent = data.value; // este es solo un ejemplo de lo que se puede hacer con los mensajes
        document.getElementById('rpta').value = data.value;
        //si no se pulsa boton iniciar no activas marcadores
        if (data.value!=0) {
          HayPregunta=1;
        };
		
		if(data.value=='help'){ayuda=50;} else {if(data.value=='nohelp'){ayuda=47;}}
		
        //Borra campo de respuesta luego de pulsar botón Otro país
         document.getElementById('texto_a_enviar').value = '';
         initialize();
   
      }

      // se maneja un mensaje del tipo update
      else if (data.type === "update") {
      }
    }

    // se agrega una funcion al campo de texto enviar de la pagina html, para que le envie un mensaje a la escena de descartes

    var contenido = document.getElementById("texto_a_enviar");
    var boton = document.getElementById("enviar");
    var iframe = document.getElementById("el_iframe");
    
    boton.addEventListener("click", function(evt) {
      iframe.contentWindow.postMessage({ type: "set", name: "unaVariable", value: contenido.value }, '*');
      iframe.contentWindow.postMessage({ type: "update" }, '*');
    });
  });
  

